#include <gtk/gtk.h>
#include <glib.h>
#include <popt.h>
#include <stdio.h>
#include <stdlib.h>
#include <libintl.h>

#include "defs.h"
#include "gui.h"
#include "command_line_parser.h"
#include "../config.h"

gint timeout_func(gpointer userdata) {
	gtk_main_quit();
	return(0);
}

int main (int argc, char *argv[]) {
	gint return_value;
	OPTIONS *my_options;
	GString *return_label;

	bindtextdomain(PACKAGE, LOCALEDIR);
	textdomain(PACKAGE);

	gtk_init (&argc, &argv);
	my_options = parse_command_line(argc, (const char**)argv);

	make_gui(my_options);
	
	if(my_options->timeout) {
		gtk_timeout_add(my_options->timeout, timeout_func, NULL);
	}
	
	gtk_main ();
	
	return_value = g_array_index(my_options->value, gint, my_options->clicked_button);
	if(my_options->print == TRUE) {
		return_label = g_ptr_array_index(my_options->label, my_options->clicked_button);
		g_print("%s\n",return_label->str);
	}
	
	free(my_options);

	return (return_value);
}
